org.apache.sysds.runtime.controlprogram.parfor

## Class ResultMergeRemoteSorting

- java.lang.Object
- - org.apache.hadoop.io.WritableComparator
  - - org.apache.sysds.runtime.controlprogram.parfor.ResultMergeRemoteSorting

All Implemented Interfaces:
  Comparator, org.apache.hadoop.conf.Configurable, org.apache.hadoop.io.RawComparator

    public class ResultMergeRemoteSorting
    extends org.apache.hadoop.io.WritableComparator

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(org.apache.hadoop.io.WritableComparable k1, org.apache.hadoop.io.WritableComparable k2)`

### Methods inherited from class org.apache.hadoop.io.WritableComparator

`compare, compare, compareBytes, define, get, get, getConf, getKeyClass, hashBytes, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong, setConf`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Method Detail

#### compare

    public int compare(org.apache.hadoop.io.WritableComparable k1,
                       org.apache.hadoop.io.WritableComparable k2)

Overrides:
  `compare` in class `org.apache.hadoop.io.WritableComparator`